<!-- markdownlint-disable MD013 MD033 MD041 -->

<!-- header-logo-start -->
<div align="center">
  <a href="https://megalinter.github.io" target="blank" title="Visit MegaLinter Web Site">
    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/images/mega-linter-logo.png" alt="MegaLinter" height="300px">
  </a>
</div>
<!-- header-logo-end -->

# MegaLinter Runner

[![Version](https://img.shields.io/npm/v/mega-linter-runner.svg)](https://npmjs.org/package/mega-linter-runner)
[![Downloads/week](https://img.shields.io/npm/dw/mega-linter-runner.svg)](https://npmjs.org/package/mega-linter-runner)
[![Downloads/total](https://img.shields.io/npm/dt/mega-linter-runner.svg)](https://npmjs.org/package/mega-linter-runner)
[![GitHub stars](https://img.shields.io/github/stars/oxsecurity/megalinter?maxAge=2592000)](https://GitHub.com/oxsecurity/megalinter/stargazers/)
<!-- readme-header-start -->
[![Docker Pulls](https://img.shields.io/badge/docker%20pulls-3.3M-blue)](https://megalinter.github.io/flavors/)
[![MegaLinter](https://github.com/oxsecurity/megalinter/workflows/MegaLinter/badge.svg?branch=main)](https://megalinter.github.io)
[![codecov](https://codecov.io/gh/oxsecurity/megalinter/branch/master/graph/badge.svg)](https://codecov.io/gh/oxsecurity/megalinter)
[![Secured with Trivy](https://img.shields.io/badge/Trivy-secured-green?logo=docker)](https://github.com/aquasecurity/trivy)
[![GitHub Sponsors](https://img.shields.io/github/sponsors/nvuillam)](https://github.com/sponsors/nvuillam)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com)
[![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/intent/tweet?text=Check+MegaLinter+to+say+goodbye+to+dirty+code+in+your+projects+%3A%29+100%25+free+and+open+source+for+all+uses&url=https://megalinter.github.io/&via=NicolasVuillamy&hashtags=linters,code,quality,ci,python,java,golang,c,dotnet,kotlin,rust,scala,salesforce,terraform)

<!-- welcome-phrase-start -->
**MegaLinter** analyzes [**37 languages**](#languages), [**15 formats**](#formats), [**16 tooling formats**](#tooling-formats) , [**copy-pastes**](#other) and [**spell**](#other) in your repository sources, generate [**reports in several formats**](#reports), and can even [**apply formatting and auto-fixes**](#apply-fixes) with **auto-generated commit or PR**, to ensure all your projects are clean, whatever IDE/toolbox are used by their developers !
<!-- welcome-phrase-end -->

<!-- online-doc-start -->
See [**MegaLinter Online Documentation Web Site**](https://megalinter.github.io/)
<!-- online-doc-end -->

<!-- readme-header-end -->

This package allows to run [MegaLinter](https://megalinter.github.io/) locally before running it in your CD/CI workflow, or simply to locally apply reformatting and fixes without having to install up to date linters for your files

![Screenshot](https://github.com/oxsecurity/megalinter/blob/main/docs/assets/images/ConsoleReporter.jpg?raw=true>)

## Installation

### Pre-requisites

You need to have [NodeJS](https://nodejs.org/en/) and [Docker](https://www.docker.com/) installed on your computer to run MegaLinter locally with MegaLinter Runner

### Global installation

```shell
npm install mega-linter-runner -g
```

### Local installation

```shell
npm install mega-linter-runner --save-dev
```

### No installation

You can run mega-linter-runner without installation by using `npx`

Example:

```shell
npx mega-linter-runner -r beta -e 'ENABLE=MARKDOWN,YAML' -e 'SHOW_ELAPSED_TIME=true'
```

### Pre-commit hook

You can run mega-linter-runner as a [pre-commit](https://pre-commit.com/) hook

Sample `.pre-commit-config.yaml`:

```yaml
repos:
  - repo: https://github.com/oxsecurity/megalinter
    rev: v5.12.0 # Git tag specifying the hook, not mega-linter-runner, version
    hooks:
      - id: megalinter # Faster, less thorough, runs pre-commit by default
      - id: megalinter-all # Slower, more thorough, runs pre-push by default
```

See [`.pre-commit-hooks.yaml`](../.pre-commit-hooks.yaml) for more details.

## Usage

```shell
mega-linter-runner [OPTIONS] [FILES]
```

The options are only related to mega-linter-runner. For MegaLinter options, please use a `.mega-linter.yml` [configuration file](#configuration)

| Option                 | Description                                                                                                        | Default           |
|------------------------|--------------------------------------------------------------------------------------------------------------------|-------------------|
| `-p` <br/> `--path`    | Directory containing the files to lint                                                                             | current directory |
| `--flavor`             | Set this parameter to use a [MegaLinter flavor](https://megalinter.github.io/flavors/)                             | `all`             |
| `-d` <br/> `--image`   | You can override the used docker image, including if it is on another docker registry                              | <!-- -->          |
| `-e` <br/> `--env`     | Environment variables for MegaLinter, following format **'ENV_VAR_NAME=VALUE'** <br/>Warning: Quotes are mandatory | <!-- -->          |
| `--fix`                | Automatically apply formatting and fixes in your files                                                             | <!-- -->          |
| `-r` <br/> `--release` | Allows to override MegaLinter version used                                                                         | `v5`              |
| `-h` <br/> `--help`    | Show mega-linter-runner help                                                                                       | <!-- -->          |
| `-v` <br/> `--version` | Show mega-linter-runner version                                                                                    | <!-- -->          |
| `-i` <br/> `--install` | Generate MegaLinter configuration files                                                                            | <!-- -->          |
| `--containername`      | Specify MegaLinter container name                                                                                  | <!-- -->          |
| `--remove-container`   | Remove MegaLinter Docker container when done                                                                       | <!-- -->          |

_You can also use `npx mega-linter-runner` if you do not want to install the package_

### Examples

```shell
mega-linter-runner
```

```shell
mega-linter-runner -p myFolder --fix
```

```shell
mega-linter-runner -r beta -e 'ENABLE=MARKDOWN,YAML' -e 'SHOW_ELAPSED_TIME=true'
```

```shell
mega-linter-runner --flavor python --release beta --filesonly path/to/my/file1.py another/path/to/a/file.js and/another/file.py
```

## Configuration

You can generate a ready-to-use [.mega-linter.yml configuration file](https://megalinter.github.io/configuration/) by running `npx mega-linter-runner --install` at the root of your repository

![Runner Install](https://github.com/oxsecurity/megalinter/blob/main/docs/assets/images/mega-linter-runner-generator.gif?raw=true)

<!-- linters-section-start -->
## Linters

<!-- linters-table-start -->
### Languages

|                                                                               <!-- -->                                                                               | Language                                                                                                                   | Linter                                                                                                                          | Configuration key                                                                                                                          |                                                                                                                     Additional                                                                                                                      |
|:--------------------------------------------------------------------------------------------------------------------------------------------------------------------:|----------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------|:---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------:|
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/bash.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**BASH**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/bash.md#readme)                             | [bash-exec](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/bash_bash_exec.md#readme)                       | [BASH_EXEC](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/bash_bash_exec.md#readme)                                  |                                                                                                                                                                                                                                                     |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [shellcheck](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/bash_shellcheck.md#readme)                     | [BASH_SHELLCHECK](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/bash_shellcheck.md#readme)                           |                                                        [![GitHub stars](https://img.shields.io/github/stars/koalaman/shellcheck?cacheSeconds=3600)](https://github.com/koalaman/shellcheck)                                                         |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [shfmt](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/bash_shfmt.md#readme)                               | [BASH_SHFMT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/bash_shfmt.md#readme)                                     |                                        [![GitHub stars](https://img.shields.io/github/stars/mvdan/sh?cacheSeconds=3600)](https://github.com/mvdan/sh) ![formatter](https://shields.io/badge/-format-yellow)                                         |
|     <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/c.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->      | [**C**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/c.md#readme)                                   | [cpplint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/c_cpplint.md#readme)                              | [C_CPPLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/c_cpplint.md#readme)                                       |                                                                                                                                                                                                                                                     |
|  <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/clojure.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**CLOJURE**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/clojure.md#readme)                       | [clj-kondo](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/clojure_clj_kondo.md#readme)                    | [CLOJURE_CLJ_KONDO](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/clojure_clj_kondo.md#readme)                       |                                                         [![GitHub stars](https://img.shields.io/github/stars/borkdude/clj-kondo?cacheSeconds=3600)](https://github.com/borkdude/clj-kondo)                                                          |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/coffee.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**COFFEE**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/coffee.md#readme)                         | [coffeelint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/coffee_coffeelint.md#readme)                   | [COFFEE_COFFEELINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/coffee_coffeelint.md#readme)                       |                                                       [![GitHub stars](https://img.shields.io/github/stars/clutchski/coffeelint?cacheSeconds=3600)](https://github.com/clutchski/coffeelint)                                                        |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/cpp.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**C++** (CPP)](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/cpp.md#readme)                         | [cpplint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/cpp_cpplint.md#readme)                            | [CPP_CPPLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/cpp_cpplint.md#readme)                                   |                                                            [![GitHub stars](https://img.shields.io/github/stars/cpplint/cpplint?cacheSeconds=3600)](https://github.com/cpplint/cpplint)                                                             |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/csharp.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**C#** (CSHARP)](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/csharp.md#readme)                    | [dotnet-format](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/csharp_dotnet_format.md#readme)             | [CSHARP_DOTNET_FORMAT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/csharp_dotnet_format.md#readme)                 |                                   [![GitHub stars](https://img.shields.io/github/stars/dotnet/format?cacheSeconds=3600)](https://github.com/dotnet/format) ![formatter](https://shields.io/badge/-format-yellow)                                    |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/dart.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**DART**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/dart.md#readme)                             | [dartanalyzer](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/dart_dartanalyzer.md#readme)                 | [DART_DARTANALYZER](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/dart_dartanalyzer.md#readme)                       |                                                              [![GitHub stars](https://img.shields.io/github/stars/dart-lang/sdk?cacheSeconds=3600)](https://github.com/dart-lang/sdk)                                                               |
|     <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/go.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**GO**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/go.md#readme)                                 | [golangci-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/go_golangci_lint.md#readme)                 | [GO_GOLANGCI_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/go_golangci_lint.md#readme)                         |                                                     [![GitHub stars](https://img.shields.io/github/stars/golangci/golangci-lint?cacheSeconds=3600)](https://github.com/golangci/golangci-lint)                                                      |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [revive](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/go_revive.md#readme)                               | [GO_REVIVE](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/go_revive.md#readme)                                       |                                     [![GitHub stars](https://img.shields.io/github/stars/mgechev/revive?cacheSeconds=3600)](https://github.com/mgechev/revive) ![sarif](https://shields.io/badge/-SARIF-orange)                                     |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/groovy.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**GROOVY**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/groovy.md#readme)                         | [npm-groovy-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/groovy_npm_groovy_lint.md#readme)         | [GROOVY_NPM_GROOVY_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/groovy_npm_groovy_lint.md#readme)             | [![GitHub stars](https://img.shields.io/github/stars/nvuillam/npm-groovy-lint?cacheSeconds=3600)](https://github.com/nvuillam/npm-groovy-lint) ![autofix](https://shields.io/badge/-autofix-green) ![sarif](https://shields.io/badge/-SARIF-orange) |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/java.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**JAVA**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/java.md#readme)                             | [checkstyle](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/java_checkstyle.md#readme)                     | [JAVA_CHECKSTYLE](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/java_checkstyle.md#readme)                           |                              [![GitHub stars](https://img.shields.io/github/stars/checkstyle/checkstyle?cacheSeconds=3600)](https://github.com/checkstyle/checkstyle) ![sarif](https://shields.io/badge/-SARIF-orange)                              |
| <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/javascript.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon --> | [**JAVASCRIPT**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/javascript.md#readme)                 | [eslint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/javascript_eslint.md#readme)                       | [JAVASCRIPT_ES](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/javascript_eslint.md#readme)                           |            [![GitHub stars](https://img.shields.io/github/stars/eslint/eslint?cacheSeconds=3600)](https://github.com/eslint/eslint) ![autofix](https://shields.io/badge/-autofix-green) ![sarif](https://shields.io/badge/-SARIF-orange)            |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [standard](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/javascript_standard.md#readme)                   | [JAVASCRIPT_STANDARD](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/javascript_standard.md#readme)                   |                                [![GitHub stars](https://img.shields.io/github/stars/standard/standard?cacheSeconds=3600)](https://github.com/standard/standard) ![autofix](https://shields.io/badge/-autofix-green)                                 |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [prettier](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/javascript_prettier.md#readme)                   | [JAVASCRIPT_PRETTIER](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/javascript_prettier.md#readme)                   |                               [![GitHub stars](https://img.shields.io/github/stars/prettier/prettier?cacheSeconds=3600)](https://github.com/prettier/prettier) ![formatter](https://shields.io/badge/-format-yellow)                                |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/jsx.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**JSX**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/jsx.md#readme)                               | [eslint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/jsx_eslint.md#readme)                              | [JSX_ESLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/jsx_eslint.md#readme)                                     |                                                                        ![autofix](https://shields.io/badge/-autofix-green) ![sarif](https://shields.io/badge/-SARIF-orange)                                                                         |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/kotlin.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**KOTLIN**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/kotlin.md#readme)                         | [ktlint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/kotlin_ktlint.md#readme)                           | [KOTLIN_KTLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/kotlin_ktlint.md#readme)                               |         [![GitHub stars](https://img.shields.io/github/stars/pinterest/ktlint?cacheSeconds=3600)](https://github.com/pinterest/ktlint) ![autofix](https://shields.io/badge/-autofix-green) ![sarif](https://shields.io/badge/-SARIF-orange)         |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/lua.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**LUA**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/lua.md#readme)                               | [luacheck](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/lua_luacheck.md#readme)                          | [LUA_LUACHECK](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/lua_luacheck.md#readme)                                 |                                                          [![GitHub stars](https://img.shields.io/github/stars/luarocks/luacheck?cacheSeconds=3600)](https://github.com/luarocks/luacheck)                                                           |
|  <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/default.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**MAKEFILE**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/makefile.md#readme)                     | [checkmake](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/makefile_checkmake.md#readme)                   | [MAKEFILE_CHECKMAKE](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/makefile_checkmake.md#readme)                     |                                                           [![GitHub stars](https://img.shields.io/github/stars/mrtazz/checkmake?cacheSeconds=3600)](https://github.com/mrtazz/checkmake)                                                            |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/perl.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**PERL**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/perl.md#readme)                             | [perlcritic](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/perl_perlcritic.md#readme)                     | [PERL_PERLCRITIC](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/perl_perlcritic.md#readme)                           |                                                    [![GitHub stars](https://img.shields.io/github/stars/Perl-Critic/Perl-Critic?cacheSeconds=3600)](https://github.com/Perl-Critic/Perl-Critic)                                                     |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/php.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**PHP**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/php.md#readme)                               | [phpcs](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/php_phpcs.md#readme)                                | [PHP_PHPCS](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/php_phpcs.md#readme)                                       |                                                  [![GitHub stars](https://img.shields.io/github/stars/squizlabs/PHP_CodeSniffer?cacheSeconds=3600)](https://github.com/squizlabs/PHP_CodeSniffer)                                                   |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [phpstan](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/php_phpstan.md#readme)                            | [PHP_PHPSTAN](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/php_phpstan.md#readme)                                   |                                                            [![GitHub stars](https://img.shields.io/github/stars/phpstan/phpstan?cacheSeconds=3600)](https://github.com/phpstan/phpstan)                                                             |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [psalm](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/php_psalm.md#readme)                                | [PHP_PSALM](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/php_psalm.md#readme)                                       |                                        [![GitHub stars](https://img.shields.io/github/stars/vimeo/psalm?cacheSeconds=3600)](https://github.com/vimeo/psalm) ![sarif](https://shields.io/badge/-SARIF-orange)                                        |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [phplint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/php_phplint.md#readme)                            | [PHP_PHPLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/php_phplint.md#readme)                                   |                                                                                                                                                                                                                                                     |
| <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/powershell.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon --> | [**POWERSHELL**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/powershell.md#readme)                 | [powershell](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/powershell_powershell.md#readme)               | [POWERSHELL_POWERSHELL](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/powershell_powershell.md#readme)               |                                                [![GitHub stars](https://img.shields.io/github/stars/PowerShell/PSScriptAnalyzer?cacheSeconds=3600)](https://github.com/PowerShell/PSScriptAnalyzer)                                                 |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/python.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**PYTHON**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python.md#readme)                         | [pylint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_pylint.md#readme)                           | [PYTHON_PYLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_pylint.md#readme)                               |                                                               [![GitHub stars](https://img.shields.io/github/stars/PyCQA/pylint?cacheSeconds=3600)](https://github.com/PyCQA/pylint)                                                                |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [black](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_black.md#readme)                             | [PYTHON_BLACK](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_black.md#readme)                                 |                                       [![GitHub stars](https://img.shields.io/github/stars/psf/black?cacheSeconds=3600)](https://github.com/psf/black) ![formatter](https://shields.io/badge/-format-yellow)                                        |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [flake8](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_flake8.md#readme)                           | [PYTHON_FLAKE8](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_flake8.md#readme)                               |                                                               [![GitHub stars](https://img.shields.io/github/stars/PyCQA/flake8?cacheSeconds=3600)](https://github.com/PyCQA/flake8)                                                                |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [isort](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_isort.md#readme)                             | [PYTHON_ISORT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_isort.md#readme)                                 |                                     [![GitHub stars](https://img.shields.io/github/stars/PyCQA/isort?cacheSeconds=3600)](https://github.com/PyCQA/isort) ![formatter](https://shields.io/badge/-format-yellow)                                      |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [bandit](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_bandit.md#readme)                           | [PYTHON_BANDIT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_bandit.md#readme)                               |                                       [![GitHub stars](https://img.shields.io/github/stars/PyCQA/bandit?cacheSeconds=3600)](https://github.com/PyCQA/bandit) ![sarif](https://shields.io/badge/-SARIF-orange)                                       |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [mypy](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_mypy.md#readme)                               | [PYTHON_MYPY](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/python_mypy.md#readme)                                   |                                                                [![GitHub stars](https://img.shields.io/github/stars/python/mypy?cacheSeconds=3600)](https://github.com/python/mypy)                                                                 |
|     <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/r.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->      | [**R**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/r.md#readme)                                   | [lintr](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/r_lintr.md#readme)                                  | [R_LINTR](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/r_lintr.md#readme)                                           |                                                                [![GitHub stars](https://img.shields.io/github/stars/r-lib/lintr?cacheSeconds=3600)](https://github.com/r-lib/lintr)                                                                 |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/raku.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**RAKU**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/raku.md#readme)                             | [raku](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/raku_raku.md#readme)                                 | [RAKU_RAKU](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/raku_raku.md#readme)                                       |                                                              [![GitHub stars](https://img.shields.io/github/stars/rakudo/rakudo?cacheSeconds=3600)](https://github.com/rakudo/rakudo)                                                               |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/ruby.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**RUBY**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/ruby.md#readme)                             | [rubocop](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/ruby_rubocop.md#readme)                           | [RUBY_RUBOCOP](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/ruby_rubocop.md#readme)                                 |                               [![GitHub stars](https://img.shields.io/github/stars/rubocop-hq/rubocop?cacheSeconds=3600)](https://github.com/rubocop-hq/rubocop) ![autofix](https://shields.io/badge/-autofix-green)                                |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/rust.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**RUST**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/rust.md#readme)                             | [clippy](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/rust_clippy.md#readme)                             | [RUST_CLIPPY](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/rust_clippy.md#readme)                                   |                                                      [![GitHub stars](https://img.shields.io/github/stars/rust-lang/rust-clippy?cacheSeconds=3600)](https://github.com/rust-lang/rust-clippy)                                                       |
| <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/salesforce.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon --> | [**SALESFORCE**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/salesforce.md#readme)                 | [sfdx-scanner-apex](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/salesforce_sfdx_scanner_apex.md#readme) | [SALESFORCE_SFDX_SCANNER_APEX](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/salesforce_sfdx_scanner_apex.md#readme) |                                                   [![GitHub stars](https://img.shields.io/github/stars/forcedotcom/sfdx-scanner?cacheSeconds=3600)](https://github.com/forcedotcom/sfdx-scanner)                                                    |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [sfdx-scanner-aura](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/salesforce_sfdx_scanner_aura.md#readme) | [SALESFORCE_SFDX_SCANNER_AURA](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/salesforce_sfdx_scanner_aura.md#readme) |                                                   [![GitHub stars](https://img.shields.io/github/stars/forcedotcom/sfdx-scanner?cacheSeconds=3600)](https://github.com/forcedotcom/sfdx-scanner)                                                    |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [sfdx-scanner-lwc](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/salesforce_sfdx_scanner_lwc.md#readme)   | [SALESFORCE_SFDX_SCANNER_LWC](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/salesforce_sfdx_scanner_lwc.md#readme)   |                                                   [![GitHub stars](https://img.shields.io/github/stars/forcedotcom/sfdx-scanner?cacheSeconds=3600)](https://github.com/forcedotcom/sfdx-scanner)                                                    |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/scala.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**SCALA**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/scala.md#readme)                           | [scalafix](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/scala_scalafix.md#readme)                        | [SCALA_SCALAFIX](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/scala_scalafix.md#readme)                             |                                                       [![GitHub stars](https://img.shields.io/github/stars/scalacenter/scalafix?cacheSeconds=3600)](https://github.com/scalacenter/scalafix)                                                        |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/sql.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**SQL**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/sql.md#readme)                               | [sql-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/sql_sql_lint.md#readme)                          | [SQL_SQL_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/sql_sql_lint.md#readme)                                 |                                                       [![GitHub stars](https://img.shields.io/github/stars/joereynolds/sql-lint?cacheSeconds=3600)](https://github.com/joereynolds/sql-lint)                                                        |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [sqlfluff](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/sql_sqlfluff.md#readme)                          | [SQL_SQLFLUFF](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/sql_sqlfluff.md#readme)                                 |                                                          [![GitHub stars](https://img.shields.io/github/stars/sqlfluff/sqlfluff?cacheSeconds=3600)](https://github.com/sqlfluff/sqlfluff)                                                           |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [tsqllint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/sql_tsqllint.md#readme)                          | [SQL_TSQLLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/sql_tsqllint.md#readme)                                 |                                                          [![GitHub stars](https://img.shields.io/github/stars/tsqllint/tsqllint?cacheSeconds=3600)](https://github.com/tsqllint/tsqllint)                                                           |
|  <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/default.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**SWIFT**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/swift.md#readme)                           | [swiftlint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/swift_swiftlint.md#readme)                      | [SWIFT_SWIFTLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/swift_swiftlint.md#readme)                           |                                  [![GitHub stars](https://img.shields.io/github/stars/realm/SwiftLint?cacheSeconds=3600)](https://github.com/realm/SwiftLint) ![autofix](https://shields.io/badge/-autofix-green)                                   |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/tsx.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**TSX**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/tsx.md#readme)                               | [eslint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/tsx_eslint.md#readme)                              | [TSX_ESLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/tsx_eslint.md#readme)                                     |                                                                        ![autofix](https://shields.io/badge/-autofix-green) ![sarif](https://shields.io/badge/-SARIF-orange)                                                                         |
| <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/typescript.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon --> | [**TYPESCRIPT**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/typescript.md#readme)                 | [eslint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/typescript_eslint.md#readme)                       | [TYPESCRIPT_ES](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/typescript_eslint.md#readme)                           |            [![GitHub stars](https://img.shields.io/github/stars/eslint/eslint?cacheSeconds=3600)](https://github.com/eslint/eslint) ![autofix](https://shields.io/badge/-autofix-green) ![sarif](https://shields.io/badge/-SARIF-orange)            |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [standard](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/typescript_standard.md#readme)                   | [TYPESCRIPT_STANDARD](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/typescript_standard.md#readme)                   |                                [![GitHub stars](https://img.shields.io/github/stars/standard/standard?cacheSeconds=3600)](https://github.com/standard/standard) ![autofix](https://shields.io/badge/-autofix-green)                                 |
|                                                                    <!-- --> <!-- linter-icon -->                                                                     |                                                                                                                            | [prettier](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/typescript_prettier.md#readme)                   | [TYPESCRIPT_PRETTIER](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/typescript_prettier.md#readme)                   |                               [![GitHub stars](https://img.shields.io/github/stars/prettier/prettier?cacheSeconds=3600)](https://github.com/prettier/prettier) ![formatter](https://shields.io/badge/-format-yellow)                                |
|  <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/vbdotnet.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->  | [**Visual Basic .NET** (VBDOTNET)](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/vbdotnet.md#readme) | [dotnet-format](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/vbdotnet_dotnet_format.md#readme)           | [VBDOTNET_DOTNET_FORMAT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/vbdotnet_dotnet_format.md#readme)             |                                                                                                ![formatter](https://shields.io/badge/-format-yellow)                                                                                                |

### Formats

|                                                                              <!-- -->                                                                              | Format                                                                                                 | Linter                                                                                                                                      | Configuration key                                                                                                                                    |                                                                                                                          Additional                                                                                                                           |
|:------------------------------------------------------------------------------------------------------------------------------------------------------------------:|--------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------|:-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------:|
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/css.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**CSS**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/css.md#readme)           | [stylelint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/css_stylelint.md#readme)                                    | [CSS_STYLELINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/css_stylelint.md#readme)                                         |                                   [![GitHub stars](https://img.shields.io/github/stars/stylelint/stylelint?cacheSeconds=3600)](https://github.com/stylelint/stylelint) ![autofix](https://shields.io/badge/-autofix-green)                                    |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [scss-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/css_scss_lint.md#readme)                                    | [CSS_SCSS_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/css_scss_lint.md#readme)                                         |                                                                   [![GitHub stars](https://img.shields.io/github/stars/sds/scss-lint?cacheSeconds=3600)](https://github.com/sds/scss-lint)                                                                    |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/env.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**ENV**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/env.md#readme)           | [dotenv-linter](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/env_dotenv_linter.md#readme)                            | [ENV_DOTENV_LINTER](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/env_dotenv_linter.md#readme)                                 |                           [![GitHub stars](https://img.shields.io/github/stars/dotenv-linter/dotenv-linter?cacheSeconds=3600)](https://github.com/dotenv-linter/dotenv-linter) ![autofix](https://shields.io/badge/-autofix-green)                            |
| <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/graphql.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->  | [**GRAPHQL**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/graphql.md#readme)   | [graphql-schema-linter](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/graphql_graphql_schema_linter.md#readme)        | [GRAPHQL_GRAPHQL_SCHEMA_LINTER](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/graphql_graphql_schema_linter.md#readme)         |                                                  [![GitHub stars](https://img.shields.io/github/stars/cjoudrey/graphql-schema-linter?cacheSeconds=3600)](https://github.com/cjoudrey/graphql-schema-linter)                                                   |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/html.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**HTML**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/html.md#readme)         | [djlint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/html_djlint.md#readme)                                         | [HTML_DJLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/html_djlint.md#readme)                                             |                                                     [![GitHub stars](https://img.shields.io/github/stars/Riverside-Healthcare/djlint?cacheSeconds=3600)](https://github.com/Riverside-Healthcare/djlint)                                                      |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [htmlhint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/html_htmlhint.md#readme)                                     | [HTML_HTMLHINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/html_htmlhint.md#readme)                                         |                                                               [![GitHub stars](https://img.shields.io/github/stars/htmlhint/HTMLHint?cacheSeconds=3600)](https://github.com/htmlhint/HTMLHint)                                                                |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/json.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**JSON**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/json.md#readme)         | [jsonlint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/json_jsonlint.md#readme)                                     | [JSON_JSONLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/json_jsonlint.md#readme)                                         |                                                                [![GitHub stars](https://img.shields.io/github/stars/prantlf/jsonlint?cacheSeconds=3600)](https://github.com/prantlf/jsonlint)                                                                 |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [eslint-plugin-jsonc](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/json_eslint_plugin_jsonc.md#readme)               | [JSON_ESLINT_PLUGIN_JSONC](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/json_eslint_plugin_jsonc.md#readme)                   | [![GitHub stars](https://img.shields.io/github/stars/ota-meshi/eslint-plugin-jsonc?cacheSeconds=3600)](https://github.com/ota-meshi/eslint-plugin-jsonc) ![autofix](https://shields.io/badge/-autofix-green) ![sarif](https://shields.io/badge/-SARIF-orange) |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [v8r](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/json_v8r.md#readme)                                               | [JSON_V8R](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/json_v8r.md#readme)                                                   |                                                                    [![GitHub stars](https://img.shields.io/github/stars/chris48s/v8r?cacheSeconds=3600)](https://github.com/chris48s/v8r)                                                                     |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [prettier](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/json_prettier.md#readme)                                     | [JSON_PRETTIER](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/json_prettier.md#readme)                                         |                                    [![GitHub stars](https://img.shields.io/github/stars/prettier/prettier?cacheSeconds=3600)](https://github.com/prettier/prettier) ![formatter](https://shields.io/badge/-format-yellow)                                     |
|  <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/latex.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**LATEX**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/latex.md#readme)       | [chktex](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/latex_chktex.md#readme)                                        | [LATEX_CHKTEX](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/latex_chktex.md#readme)                                           |                                                                                                                                                                                                                                                               |
| <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/markdown.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon --> | [**MARKDOWN**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/markdown.md#readme) | [markdownlint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/markdown_markdownlint.md#readme)                         | [MARKDOWN_MARKDOWNLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/markdown_markdownlint.md#readme)                         |                              [![GitHub stars](https://img.shields.io/github/stars/DavidAnson/markdownlint?cacheSeconds=3600)](https://github.com/DavidAnson/markdownlint) ![formatter](https://shields.io/badge/-format-yellow)                               |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [remark-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/markdown_remark_lint.md#readme)                           | [MARKDOWN_REMARK_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/markdown_remark_lint.md#readme)                           |                                 [![GitHub stars](https://img.shields.io/github/stars/remarkjs/remark-lint?cacheSeconds=3600)](https://github.com/remarkjs/remark-lint) ![formatter](https://shields.io/badge/-format-yellow)                                  |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [markdown-link-check](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/markdown_markdown_link_check.md#readme)           | [MARKDOWN_MARKDOWN_LINK_CHECK](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/markdown_markdown_link_check.md#readme)           |                                                       [![GitHub stars](https://img.shields.io/github/stars/tcort/markdown-link-check?cacheSeconds=3600)](https://github.com/tcort/markdown-link-check)                                                        |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [markdown-table-formatter](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/markdown_markdown_table_formatter.md#readme) | [MARKDOWN_MARKDOWN_TABLE_FORMATTER](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/markdown_markdown_table_formatter.md#readme) |                    [![GitHub stars](https://img.shields.io/github/stars/nvuillam/markdown-table-formatter?cacheSeconds=3600)](https://github.com/nvuillam/markdown-table-formatter) ![formatter](https://shields.io/badge/-format-yellow)                     |
| <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/protobuf.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon --> | [**PROTOBUF**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/protobuf.md#readme) | [protolint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/protobuf_protolint.md#readme)                               | [PROTOBUF_PROTOLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/protobuf_protolint.md#readme)                               |                                   [![GitHub stars](https://img.shields.io/github/stars/yoheimuta/protolint?cacheSeconds=3600)](https://github.com/yoheimuta/protolint) ![autofix](https://shields.io/badge/-autofix-green)                                    |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/rst.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**RST**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/rst.md#readme)           | [rst-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/rst_rst_lint.md#readme)                                      | [RST_RST_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/rst_rst_lint.md#readme)                                           |                                                  [![GitHub stars](https://img.shields.io/github/stars/twolfson/restructuredtext-lint?cacheSeconds=3600)](https://github.com/twolfson/restructuredtext-lint)                                                   |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [rstcheck](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/rst_rstcheck.md#readme)                                      | [RST_RSTCHECK](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/rst_rstcheck.md#readme)                                           |                                                                  [![GitHub stars](https://img.shields.io/github/stars/myint/rstcheck?cacheSeconds=3600)](https://github.com/myint/rstcheck)                                                                   |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/xml.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**XML**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/xml.md#readme)           | [xmllint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/xml_xmllint.md#readme)                                        | [XML_XMLLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/xml_xmllint.md#readme)                                             |                                                                                                                                                                                                                                                               |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/yaml.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**YAML**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/yaml.md#readme)         | [prettier](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/yaml_prettier.md#readme)                                     | [YAML_PRETTIER](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/yaml_prettier.md#readme)                                         |                                    [![GitHub stars](https://img.shields.io/github/stars/prettier/prettier?cacheSeconds=3600)](https://github.com/prettier/prettier) ![formatter](https://shields.io/badge/-format-yellow)                                     |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [yamllint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/yaml_yamllint.md#readme)                                     | [YAML_YAMLLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/yaml_yamllint.md#readme)                                         |                                                            [![GitHub stars](https://img.shields.io/github/stars/adrienverge/yamllint?cacheSeconds=3600)](https://github.com/adrienverge/yamllint)                                                             |
|                                                                   <!-- --> <!-- linter-icon -->                                                                    |                                                                                                        | [v8r](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/yaml_v8r.md#readme)                                               | [YAML_V8R](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/yaml_v8r.md#readme)                                                   |                                                                    [![GitHub stars](https://img.shields.io/github/stars/chris48s/v8r?cacheSeconds=3600)](https://github.com/chris48s/v8r)                                                                     |

### Tooling formats

|                                                                                 <!-- -->                                                                                 | Tooling format                                                                                                     | Linter                                                                                                                                  | Configuration key                                                                                                                                    |                                                                                              Additional                                                                                               |
|:------------------------------------------------------------------------------------------------------------------------------------------------------------------------:|--------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------:|
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/default.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**ACTION**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/action.md#readme)                 | [actionlint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/action_actionlint.md#readme)                           | [ACTION_ACTIONLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/action_actionlint.md#readme)                                 |                                    [![GitHub stars](https://img.shields.io/github/stars/rhysd/actionlint?cacheSeconds=3600)](https://github.com/rhysd/actionlint)                                     |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/ansible.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**ANSIBLE**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/ansible.md#readme)               | [ansible-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/ansible_ansible_lint.md#readme)                      | [ANSIBLE_ANSIBLE_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/ansible_ansible_lint.md#readme)                           |                                [![GitHub stars](https://img.shields.io/github/stars/ansible/ansible-lint?cacheSeconds=3600)](https://github.com/ansible/ansible-lint)                                 |
|      <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/arm.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->       | [**ARM**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/arm.md#readme)                       | [arm-ttk](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/arm_arm_ttk.md#readme)                                    | [ARM_ARM_TTK](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/arm_arm_ttk.md#readme)                                             |                                                                                                                                                                                                       |
| <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/cloudformation.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon --> | [**CLOUDFORMATION**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/cloudformation.md#readme) | [cfn-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/cloudformation_cfn_lint.md#readme)                       | [CLOUDFORMATION_CFN_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/cloudformation_cfn_lint.md#readme)                     | [![GitHub stars](https://img.shields.io/github/stars/aws-cloudformation/cfn-lint?cacheSeconds=3600)](https://github.com/aws-cloudformation/cfn-lint) ![sarif](https://shields.io/badge/-SARIF-orange) |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/dockerfile.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**DOCKERFILE**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/dockerfile.md#readme)         | [hadolint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/dockerfile_hadolint.md#readme)                           | [DOCKERFILE_HADOLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/dockerfile_hadolint.md#readme)                             |           [![GitHub stars](https://img.shields.io/github/stars/hadolint/hadolint?cacheSeconds=3600)](https://github.com/hadolint/hadolint) ![sarif](https://shields.io/badge/-SARIF-orange)           |
|  <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/editorconfig.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->  | [**EDITORCONFIG**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/editorconfig.md#readme)     | [editorconfig-checker](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/editorconfig_editorconfig_checker.md#readme) | [EDITORCONFIG_EDITORCONFIG_CHECKER](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/editorconfig_editorconfig_checker.md#readme) |           [![GitHub stars](https://img.shields.io/github/stars/editorconfig-checker/editorconfig-checker?cacheSeconds=3600)](https://github.com/editorconfig-checker/editorconfig-checker)            |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/gherkin.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**GHERKIN**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/gherkin.md#readme)               | [gherkin-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/gherkin_gherkin_lint.md#readme)                      | [GHERKIN_GHERKIN_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/gherkin_gherkin_lint.md#readme)                           |                                [![GitHub stars](https://img.shields.io/github/stars/vsiakka/gherkin-lint?cacheSeconds=3600)](https://github.com/vsiakka/gherkin-lint)                                 |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/kubernetes.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**KUBERNETES**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/kubernetes.md#readme)         | [kubeval](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/kubernetes_kubeval.md#readme)                             | [KUBERNETES_KUBEVAL](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/kubernetes_kubeval.md#readme)                               |                                 [![GitHub stars](https://img.shields.io/github/stars/instrumenta/kubeval?cacheSeconds=3600)](https://github.com/instrumenta/kubeval)                                  |
|                                                                      <!-- --> <!-- linter-icon -->                                                                       |                                                                                                                    | [kubeconform](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/kubernetes_kubeconform.md#readme)                     | [KUBERNETES_KUBECONFORM](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/kubernetes_kubeconform.md#readme)                       |                                   [![GitHub stars](https://img.shields.io/github/stars/yannh/kubeconform?cacheSeconds=3600)](https://github.com/yannh/kubeconform)                                    |
|    <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/openapi.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**OPENAPI**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/openapi.md#readme)               | [spectral](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/openapi_spectral.md#readme)                              | [OPENAPI_SPECTRAL](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/openapi_spectral.md#readme)                                   |                                [![GitHub stars](https://img.shields.io/github/stars/stoplightio/spectral?cacheSeconds=3600)](https://github.com/stoplightio/spectral)                                 |
|     <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/puppet.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**PUPPET**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/puppet.md#readme)                 | [puppet-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/puppet_puppet_lint.md#readme)                         | [PUPPET_PUPPET_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/puppet_puppet_lint.md#readme)                               |        [![GitHub stars](https://img.shields.io/github/stars/rodjek/puppet-lint?cacheSeconds=3600)](https://github.com/rodjek/puppet-lint) ![autofix](https://shields.io/badge/-autofix-green)         |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/snakemake.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**SNAKEMAKE**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/snakemake.md#readme)           | [snakemake](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/snakemake_snakemake.md#readme)                          | [SNAKEMAKE_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/snakemake_snakemake.md#readme)                                  |                                 [![GitHub stars](https://img.shields.io/github/stars/snakemake/snakemake?cacheSeconds=3600)](https://github.com/snakemake/snakemake)                                  |
|                                                                      <!-- --> <!-- linter-icon -->                                                                       |                                                                                                                    | [snakefmt](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/snakemake_snakefmt.md#readme)                            | [SNAKEMAKE_SNAKEFMT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/snakemake_snakefmt.md#readme)                               |       [![GitHub stars](https://img.shields.io/github/stars/snakemake/snakefmt?cacheSeconds=3600)](https://github.com/snakemake/snakefmt) ![formatter](https://shields.io/badge/-format-yellow)        |
|     <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/tekton.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->     | [**TEKTON**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/tekton.md#readme)                 | [tekton-lint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/tekton_tekton_lint.md#readme)                         | [TEKTON_TEKTON_LINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/tekton_tekton_lint.md#readme)                               |                                     [![GitHub stars](https://img.shields.io/github/stars/IBM/tekton-lint?cacheSeconds=3600)](https://github.com/IBM/tekton-lint)                                      |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/terraform.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->    | [**TERRAFORM**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform.md#readme)           | [tflint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_tflint.md#readme)                                | [TERRAFORM_TFLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_tflint.md#readme)                                   |    [![GitHub stars](https://img.shields.io/github/stars/terraform-linters/tflint?cacheSeconds=3600)](https://github.com/terraform-linters/tflint) ![sarif](https://shields.io/badge/-SARIF-orange)    |
|                                                                      <!-- --> <!-- linter-icon -->                                                                       |                                                                                                                    | [terrascan](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_terrascan.md#readme)                          | [TERRAFORM_TERRASCAN](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_terrascan.md#readme)                             |          [![GitHub stars](https://img.shields.io/github/stars/accurics/terrascan?cacheSeconds=3600)](https://github.com/accurics/terrascan) ![sarif](https://shields.io/badge/-SARIF-orange)          |
|                                                                      <!-- --> <!-- linter-icon -->                                                                       |                                                                                                                    | [terragrunt](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_terragrunt.md#readme)                        | [TERRAFORM_TERRAGRUNT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_terragrunt.md#readme)                           |   [![GitHub stars](https://img.shields.io/github/stars/gruntwork-io/terragrunt?cacheSeconds=3600)](https://github.com/gruntwork-io/terragrunt) ![autofix](https://shields.io/badge/-autofix-green)    |
|                                                                      <!-- --> <!-- linter-icon -->                                                                       |                                                                                                                    | [terraform-fmt](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_terraform_fmt.md#readme)                  | [TERRAFORM_TERRAFORM_FMT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_terraform_fmt.md#readme)                     |      [![GitHub stars](https://img.shields.io/github/stars/hashicorp/terraform?cacheSeconds=3600)](https://github.com/hashicorp/terraform) ![formatter](https://shields.io/badge/-format-yellow)       |
|                                                                      <!-- --> <!-- linter-icon -->                                                                       |                                                                                                                    | [checkov](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_checkov.md#readme)                              | [TERRAFORM_CHECKOV](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_checkov.md#readme)                                 |        [![GitHub stars](https://img.shields.io/github/stars/bridgecrewio/checkov?cacheSeconds=3600)](https://github.com/bridgecrewio/checkov) ![sarif](https://shields.io/badge/-SARIF-orange)        |
|                                                                      <!-- --> <!-- linter-icon -->                                                                       |                                                                                                                    | [kics](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_kics.md#readme)                                    | [TERRAFORM_KICS](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/terraform_kics.md#readme)                                       |                                      [![GitHub stars](https://img.shields.io/github/stars/checkmarx/kics?cacheSeconds=3600)](https://github.com/checkmarx/kics)                                       |

### Other

|                                                                              <!-- -->                                                                               | Code quality checker                                                                                       | Linter                                                                                                            | Configuration key                                                                                                            |                                                                                        Additional                                                                                         |
|:-------------------------------------------------------------------------------------------------------------------------------------------------------------------:|------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------:|
| <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/copypaste.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon --> | [**COPYPASTE**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/copypaste.md#readme)   | [jscpd](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/copypaste_jscpd.md#readme)            | [COPYPASTE_JSCPD](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/copypaste_jscpd.md#readme)             |                              [![GitHub stars](https://img.shields.io/github/stars/kucherenko/jscpd?cacheSeconds=3600)](https://github.com/kucherenko/jscpd)                               |
|  <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/default.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->  | [**REPOSITORY**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository.md#readme) | [checkov](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_checkov.md#readme)       | [REPOSITORY_CHECKOV](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_checkov.md#readme)       |  [![GitHub stars](https://img.shields.io/github/stars/bridgecrewio/checkov?cacheSeconds=3600)](https://github.com/bridgecrewio/checkov) ![sarif](https://shields.io/badge/-SARIF-orange)  |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [devskim](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_devskim.md#readme)       | [REPOSITORY_DEVSKIM](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_devskim.md#readme)       |     [![GitHub stars](https://img.shields.io/github/stars/microsoft/DevSkim?cacheSeconds=3600)](https://github.com/microsoft/DevSkim) ![sarif](https://shields.io/badge/-SARIF-orange)     |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [dustilock](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_dustilock.md#readme)   | [REPOSITORY_DUSTILOCK](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_dustilock.md#readme)   |   [![GitHub stars](https://img.shields.io/github/stars/Checkmarx/dustilock?cacheSeconds=3600)](https://github.com/Checkmarx/dustilock) ![sarif](https://shields.io/badge/-SARIF-orange)   |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [git_diff](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_git_diff.md#readme)     | [REPOSITORY_GIT_DIFF](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_git_diff.md#readme)     |                                       [![GitHub stars](https://img.shields.io/github/stars/git/git?cacheSeconds=3600)](https://github.com/git/git)                                        |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [gitleaks](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_gitleaks.md#readme)     | [REPOSITORY_GITLEAKS](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_gitleaks.md#readme)     |  [![GitHub stars](https://img.shields.io/github/stars/zricethezav/gitleaks?cacheSeconds=3600)](https://github.com/zricethezav/gitleaks) ![sarif](https://shields.io/badge/-SARIF-orange)  |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [goodcheck](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_goodcheck.md#readme)   | [REPOSITORY_GOODCHECK](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_goodcheck.md#readme)   |                               [![GitHub stars](https://img.shields.io/github/stars/sider/goodcheck?cacheSeconds=3600)](https://github.com/sider/goodcheck)                                |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [secretlint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_secretlint.md#readme) | [REPOSITORY_SECRETLINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_secretlint.md#readme) | [![GitHub stars](https://img.shields.io/github/stars/secretlint/secretlint?cacheSeconds=3600)](https://github.com/secretlint/secretlint) ![sarif](https://shields.io/badge/-SARIF-orange) |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [semgrep](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_semgrep.md#readme)       | [REPOSITORY_SEMGREP](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_semgrep.md#readme)       |  [![GitHub stars](https://img.shields.io/github/stars/returntocorp/semgrep?cacheSeconds=3600)](https://github.com/returntocorp/semgrep) ![sarif](https://shields.io/badge/-SARIF-orange)  |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [syft](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_syft.md#readme)             | [REPOSITORY_SYFT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_syft.md#readme)             |          [![GitHub stars](https://img.shields.io/github/stars/anchore/syft?cacheSeconds=3600)](https://github.com/anchore/syft) ![sarif](https://shields.io/badge/-SARIF-orange)          |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [trivy](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_trivy.md#readme)           | [REPOSITORY_TRIVY](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/repository_trivy.md#readme)           |    [![GitHub stars](https://img.shields.io/github/stars/aquasecurity/trivy?cacheSeconds=3600)](https://github.com/aquasecurity/trivy) ![sarif](https://shields.io/badge/-SARIF-orange)    |
|   <img src="https://github.com/oxsecurity/megalinter/raw/main/docs/assets/icons/spell.ico" alt="" height="32px" class="megalinter-icon"></a> <!-- linter-icon -->   | [**SPELL**](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/spell.md#readme)           | [misspell](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/spell_misspell.md#readme)          | [SPELL_MISSPELL](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/spell_misspell.md#readme)               |    [![GitHub stars](https://img.shields.io/github/stars/client9/misspell?cacheSeconds=3600)](https://github.com/client9/misspell) ![autofix](https://shields.io/badge/-autofix-green)     |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [cspell](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/spell_cspell.md#readme)              | [SPELL_CSPELL](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/spell_cspell.md#readme)                   |                     [![GitHub stars](https://img.shields.io/github/stars/streetsidesoftware/cspell?cacheSeconds=3600)](https://github.com/streetsidesoftware/cspell)                      |
|                                                                    <!-- --> <!-- linter-icon -->                                                                    |                                                                                                            | [proselint](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/spell_proselint.md#readme)        | [SPELL_PROSELINT](https://github.com/oxsecurity/megalinter/tree/main/docs/descriptors/spell_proselint.md#readme)             |                            [![GitHub stars](https://img.shields.io/github/stars/amperser/proselint?cacheSeconds=3600)](https://github.com/amperser/proselint)                             |

<!-- linters-table-end -->

<!-- linters-section-end -->
